package _04_方法练习;

public class Test6 {
    public static void main(String[] args) {
        /**
         * 定义一个方法`copyOfRange(int[] arr, int from, int to)`，
         * 功能是将数组`arr`中从索引`from`（包含`from`）开始，到索引`to`
         * （不包含`to`）的元素复制到新数组中，并将新数组返回
         *
         * arr = {1,2,3,4,5,6}
         * 3   5
         * newArr = {4,5}
         */
        int[] arr = {1,2,3,4,5,6};
        int[] newArr = copyOfRange1(arr,3,5);

        for (int i : newArr) {
            System.out.print(i +" ");
        }
    }
    private static int[] copyOfRange1(int[] arr, int from, int to) {
        // 1 定义出来一个新的数组  to-from
        // new int[2]   from 3  to 5
        int[] newArr = new int[to-from];
        // 2 定义出来一个新数组索引 0开始
        int index = 0;
        // 3 遍历旧数组, 把旧数组当中元素添加到新的数组中
        for (int i = from; i < to; i++) {
            // 把旧数组的元素添加到新数组中了
            newArr[index] = arr[i];
            index ++;
        }
        return newArr;
    }
}
